
$('input[type=file]').on('change', prepareUpload);

// Grab the files and set them to our variable
function prepareUpload(event) {
  files = event.target.files;
  var data = new FormData();
  //data.append('file', $('.img_up1').prop('files')[0]);
  data.append('file', files[0]);
  // append other variables to data if you want: data.append('field_name_x', field_value_x);
  $(this).next().text('');
  $(this).next().html('<img src="static/img/Spinner-1s-181px.gif">');
  $.ajax({
    type: 'POST',
    processData: false, // important
    contentType: false, // important
    data: data,
    url: 'uploadfile',
    dataType: 'json',
    success: function (jsonData) {
      alert('yes');
    },
    error: function (error) {
      alert('圖片錯誤');
    }
  });
}
const button = document.querySelector('.next');

$(".next").click(function () {
  button.setAttribute('disabled', '');
  setTimeout(function () {
    button.removeAttribute('disabled')
  }, 4000);
  avatar = $('.avatar').val();
  name_title = $('.title_new').val();
  txtARR = [];
  imgARR = [];
  var step;
  for (step = 1; step <= 10; step++) {
    if ($(".txtsrc" + step).val() != "") {
      txtARR.push($(".txtsrc" + step).val())
    }
  }
  var step2;
  for (step2 = 1; step2 <= 10; step2++) {
    if ($(".imgsrc" + step2).val() != "") {
      imgARR.push($(".imgsrc" + step2).val())
    }
  }
  dataOBJ = { "name": name_title, "text_content": txtARR, "image_urls": imgARR, "avatar": avatar, "client_id": client_id }
  objstr = JSON.stringify(dataOBJ);
  console.log(dataOBJ)
  //alert('資料已送出! 請耐心等候')
  $.ajax({
    url: '/make_anchor_video_v2',
    //url: 'http://www.choozmo.com:8888/qqreq',
    dataType : 'json', // 預期從server接收的資料型態
    contentType : 'application/json; charset=utf-8', // 要送到server的資料型態
    type: 'post',
    data: objstr,
    success: function(suc_data) {
      Swal.fire({
        title: "資料已送出",
        icon: 'success',
        text: `${suc_data.msg}`,
        confirmButtonColor: '#3085d6',
      });  
      },
    //data:JSON.stringify({n1:"12",n2:"22"}),
    error: function (error) {
      console.error(error)
    }
  });
  
  });

$(".gen_avatar").click(function () {

  dataOBJ = { "imgurl": $('.imgsrc').val() }
  objstr = JSON.stringify(dataOBJ);
  console.log(dataOBJ)
  //alert('資料已送出! 請耐心等候')
  $.ajax({
    url: '/swapFace',
    dataType: 'json', // 預期從server接收的資料型態
    contentType: 'application/json; charset=utf-8', // 要送到server的資料型態
    type: 'post',
    data: objstr,
    success: function (suc_data) {
      alert(suc_data.msg)
    },
    //data:JSON.stringify({n1:"12",n2:"22"}),
    error: function (error) {
      console.error(error)
    }
  });

});


function view() {
  event.stopPropagation();
  console.log(event.target);
  if(event.target.nodeName === 'I') {
    return;
  } else {
    window.open(`http://${event.target.dataset.url}`, '_blank');
  }
}


function load_data() {
  var title = document.getElementById("title");
  var linker = document.getElementById("linker");

  myModal.hide()
  tid = event.srcElement.id
  console.log(tid);
  linker.setAttribute('href', `http://${loaded_data.find(item => item.id == tid).link}`)
  linker.setAttribute('target', '_blank')
  $("#linker").html(`http://${loaded_data.find(item => item.id == tid).link}`)
  $("#linker").show();
  $(".linker__box").show();

  $(".title_new").val(loaded_data.find(item => item.id == tid).name)
  var step;
  for (step = 1; step <= 10; step++) {
    $(".txtsrc" + step).val(loaded_data.find(item => item.id == tid).text_content[step - 1])
  }
  var step2;
  for (step2 = 1; step2 <= 10; step2++) {
    $(".imgsrc" + step2).val(loaded_data.find(item => item.id == tid).image_urls[step2 - 1])
  }

}
